<?php
function plazox_init_activacion() {
    update_option('plazox_bar_top_menu_show', '1');
    update_option('plazox_bar_top_menu_show_icon', '1');
    update_option('plazox_bar_top_menu_text_message', 'Divide el pago con plazox');
    update_option('plazox_bar_top_menu_style', 'Light');
    update_option('plazox_product_page_show', '1');
    update_option('plazox_product_page_show_banner', 'Yes');
    update_option('plazox_floating_banner_visible', '1');
    update_option('plazox_floating_banner_position', 'Center');
    update_option('plazox_floating_banner_design', 'Option 1');

    $activeTheme = wp_get_theme()->get('Name');

    $jsContent = "";

    $jsContent .= PHP_EOL."let wp_active_theme='".$activeTheme."';";

    $jsContent .=  PHP_EOL."let fonts_path='".SISTEMAPAYPLAZOX_BASE_URL."/assets/fonts'";

    $jsContent .= PHP_EOL."let bar_top_menu_show='".get_option('plazox_bar_top_menu_show')."';";
    $jsContent .= PHP_EOL."let bar_top_menu_show_icon='".get_option('plazox_bar_top_menu_show_icon')."';";
    $jsContent .= PHP_EOL."let bar_top_menu_text_message='".get_option('plazox_bar_top_menu_text_message')."';";
    $jsContent .= PHP_EOL."let bar_top_menu_style='".get_option('plazox_bar_top_menu_style')."';";
    $jsContent .= PHP_EOL."let product_page_show='".get_option('plazox_product_page_show')."';";
    $jsContent .= PHP_EOL."let product_page_show_banner='".get_option('plazox_product_page_show_banner')."';";
    $jsContent .= PHP_EOL."let floating_banner_visible='".get_option('plazox_floating_banner_visible')."';";
    $jsContent .= PHP_EOL."let floating_banner_position='".get_option('plazox_floating_banner_position')."';";
    $jsContent .= PHP_EOL."let floating_banner_design='".get_option('plazox_floating_banner_design')."';";
    $jsContent .= PHP_EOL.PHP_EOL;


    $translations_script_path = SISTEMAPAYPLAZOX_PLUGIN_DIR . 'assets/js/plazox-languages.js';
    $translations_content = file_get_contents($translations_script_path);
    // Incluye traducciones
    $jsContent .= $translations_content;

    $base_script_path = SISTEMAPAYPLAZOX_PLUGIN_DIR . 'assets/js/plazox-base.js';
    $base_content = file_get_contents($base_script_path);
    // Incluye contenido base
    $jsContent .= $base_content;

    file_put_contents(SISTEMAPAYPLAZOX_PLUGIN_DIR . 'assets/js/sistemapayPlazox.js', $jsContent);
}

